%% init
clear, close all

%% load data
nm = load('nominal_models.mat');
load('yus');

%% labels
y_labels = {'$p\;[MPa]$', '$P_0\;[MW]$', '$X_W\;[m]$'};
u_labels = {'$u_F\;[\%]$', '$u_S\;[\%]$', '$u_W\;[\%]$'};
du_labels = {'$\triangle u_F\;[\%/s]$', '$\triangle u_S\;[\%/s]$', ...
             '$\triangle u_W\;[\%/s]$'};
save_y = {'y1', 'y2', 'y3'};
save_u = {'u1', 'u2', 'u3'};

%% fig save set up
fpath = '../thesis/images/step';
papersize = [6, 5]*1.5;


%% sim set up
syscBOILER = nm.syscBOILER;
step_time = [10, 10, 10]*0 + 500;
init_value = [0, 0, 0];
fv = eye(3, 3)*0.1;
time = 5000;

for j = 1:1:3
    final_value = fv(j, :);

    sim('baseline_model_boiler', [0 time]);

    for k = 1:1:3
        figure(k)
        if k == 1
            kgcm2_to_pa = 98066.5e-6;
        else
            kgcm2_to_pa = 1;
        end
        plot(ydata(:, 1), (ydata(:, k+1) + y0(k)).*kgcm2_to_pa);
        ylabel(y_labels{k})
        xlabel('Time [s]')
        fsp(save_y{k}, ['st' num2str(j) '_' save_y{k}], fpath, papersize)
    end
    figure
    stairs(ydata(:, 1), udata(:, j+1) + us(j))
    ylabel(u_labels{k})
    xlabel('Time [s]')
    fsp(save_u{j}, ['st' num2str(j) '_' save_u{j}], fpath, papersize)
    close all
end
%!c:\Program Files (x86)\Notepad++\miktex_to_latex.bat