function fs(figname, name, fpath)
%% Function without argument
%   
%
%   fs(figname, name, fpath)
%
%   figname -> name of the figure window in matlab
%   name -> filename of the picture
%   fpath -> path of the folder, where picture is storred 
%           (type "." if it is current folder)
%
%   Martin Klauco 28-MAR-2012 v3.0

%% LEGEND
% handle_legend = findall(gcf, 'tag', 'legend');
% set(handle_legend, 'FontSize', 12)

%% Title
% handle_title = findall(gcf, 'VerticalAlignment', 'bottom', 'Rotation', 0);
% set(handle_title, 'FontSize', 20, 'FontWeight', 'bold')

%% Y-LABEL
handle_ylabel = findall(gcf, 'rotation', 90);
set(handle_ylabel, 'FontSize', 12)

%% X-LABEL
handle_xlabel = findall(gcf, 'VerticalAlignment', 'cap', 'Rotation', 0);
set(handle_xlabel, 'FontSize', 12)

%% gca
% set(gca, 'box', 'on')

if nargin >= 1
    set(gcf, 'name', figname, 'NumberTitle', 'off')
end

%% Save image into eps
if (nargin == 2)
    image_name = name;
    print(gcf, '-depsc2', image_name)
    cprintf([0, 0, 0.8], ['Plot "', name, '" saved\n'])
elseif (nargin == 3)
    if ~strcmp(fpath(end), '/')
        fpath = [fpath '/'];
    end
    image_name = [fpath name];
    print(gcf, '-depsc2', image_name)
    cprintf([0, 0, 0.8], ['Plot "', name, '" saved\n'])
end
end