function ss2tex(sys)
%% Function that prints SS into LaTeX source code
%
%   ss2tex(sys)
%
%   sys -> ss variable
%   check help ss
%
%   Martin Klauco | 19-JAN-2012 | 1319
%
%% Input check
if ~(numel(sys.a) > 0 && numel(sys.b) > 0 && ...
     numel(sys.c) > 0 && numel(sys.d) > 0)
        error('Input must be SS variable')
end
if sys.Ts > 0
    fprintf(['\nDiscrete State-Space model (Ts = ' num2str(sys.Ts) ')'])
else
    fprintf('\nContinuous State-Space model')
end

fprintf('\n\\begin{equation} \n')
mat2tex(sys.a, 0, 'array', '.', 'A')
fprintf('\\hspace{1cm} \n')
mat2tex(sys.b, 0, 'array', '.', 'B')
fprintf('\\end{equation} \n')
fprintf('\\begin{equation} \n')
mat2tex(sys.c, 0, 'array', '.', 'C')
fprintf('\\hspace{1cm} \n')
mat2tex(sys.d, 0, 'array', '.', 'D')
fprintf('\\end{equation} \n \n')
end