function tf2frac(G, name)
%% Transfer function to LaTeX fraction
%
%   tf2frac(G)
%

if nargin == 1
    name = '';
end

%% extract data
[n, d] = tfdata(G, 'v');

fprintf('\n')
fprintf('\\begin{equation}\n')
fprintf(['\t ' name ' = \\frac{'])
kf = length(n);
for k = 1:1:kf
    if n(k) ~= 0
        nk = round(n(k)*1000)/1000;
        if nk < 0
            fprintf([num2str(nk), 's^' num2str(kf - k), ' '])
            if (kf - k) == 0
                fprintf('\b\b\b\b ')
            end
        else
            if (kf - k) ~= 0
                if (kf - k) == 1
                    fprintf(['+', num2str(nk), 's', ' '])
                else
                    fprintf(['+', num2str(nk), 's^' num2str(kf - k), ' '])
                end
            else
                fprintf(['+', num2str(nk), ' '])
            end
        end            
    end
end
fprintf('\b}')
fprintf('{')
kf = length(d);
for k = 1:1:kf
    if d(k) ~= 0
        dk = round(d(k)*1000)/1000;
        if dk < 0
            fprintf([num2str(dk), 's^' num2str(kf - k), ' '])
        else
            if dk == 1
                fprintf(['s^' num2str(kf - k), ' '])
            else
                if (kf - k) ~= 0
                if (kf - k) == 1
                    fprintf(['+', num2str(dk), 's', ' '])
                else
                    fprintf(['+', num2str(dk), 's^' num2str(kf - k), ' '])
                end
                else
                    fprintf(['+', num2str(dk), ' '])
                end
            end
        end
    end
end
fprintf('\b}')
fprintf('\n\\end{equation}')
fprintf('\n')

%% EOF
end